Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.parse
Class Name

    java.lang.Object
      jif.parse.Amb
          jif.parse.Name

    public class Name

extends Amb

A `Name` represents a `Amp` of the form "n | P.n". This could either be a field access or a type. Both could be preceded by ambiguous qualifiers.

Field Summary
`java.lang.String` | `name`
`Amb` | `prefix`

Constructor Summary
`Name(Grm parser, polyglot.util.Position pos, Amb prefix, java.lang.String name)`
`Name(Grm parser, polyglot.util.Position pos, java.lang.String name)`

Method Summary
`java.lang.String` | `name()`
`Amb` | `prefix()`
`polyglot.ast.TypeNode` | `toClassType()`
`polyglot.ast.Expr` | `toExpr()`
`polyglot.ast.Id` | `toIdentifier()`
`java.lang.String` | `toName()`
`polyglot.ast.PackageNode` | `toPackage()`
`polyglot.ast.Prefix` | `toPrefix()`
`polyglot.ast.Receiver` | `toReceiver()`
`java.lang.String` | `toString()`
`polyglot.ast.TypeNode` | `toType()`
`polyglot.ast.TypeNode` | `toUnlabeledType()`

Methods inherited from class jif.parse.Amb
`parser, position, toNewArray, toNewArrayPrefix, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### prefix

    public Amb prefix

Constructor Detail

### Name

    public Name(Grm parser,
                polyglot.util.Position pos,
                java.lang.String name)
         throws java.lang.Exception

Throws:
  `java.lang.Exception`

### Name

    public Name(Grm parser,
                polyglot.util.Position pos,
                Amb prefix,
                java.lang.String name)
         throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### name

    public java.lang.String name()

### prefix

    public Amb prefix()

### toExpr

    public polyglot.ast.Expr toExpr()
                             throws java.lang.Exception

  Overrides:
    `toExpr` in class `Amb`
  Throws:
    `java.lang.Exception`

### toReceiver

    public polyglot.ast.Receiver toReceiver()
                                     throws java.lang.Exception

  Overrides:
    `toReceiver` in class `Amb`
  Throws:
    `java.lang.Exception`

### toPrefix

    public polyglot.ast.Prefix toPrefix()
                                 throws java.lang.Exception

  Overrides:
    `toPrefix` in class `Amb`
  Throws:
    `java.lang.Exception`

### toPackage

    public polyglot.ast.PackageNode toPackage()
                                       throws java.lang.Exception

  Overrides:
    `toPackage` in class `Amb`
  Throws:
    `java.lang.Exception`

### toType

    public polyglot.ast.TypeNode toType()
                                 throws java.lang.Exception

  Overrides:
    `toType` in class `Amb`
  Throws:
    `java.lang.Exception`

### toClassType

    public polyglot.ast.TypeNode toClassType()
                                      throws java.lang.Exception

  Overrides:
    `toClassType` in class `Amb`
  Throws:
    `java.lang.Exception`

### toUnlabeledType

    public polyglot.ast.TypeNode toUnlabeledType()
                                          throws java.lang.Exception

  Overrides:
    `toUnlabeledType` in class `Amb`
  Throws:
    `java.lang.Exception`

### toIdentifier

    public polyglot.ast.Id toIdentifier()
                                 throws java.lang.Exception

  Overrides:
    `toIdentifier` in class `Amb`
  Throws:
    `java.lang.Exception`

### toName

    public java.lang.String toName()
                            throws java.lang.Exception

  Overrides:
    `toName` in class `Amb`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD